#
# Conditional build:
%bcond_with	rmtcalls	# Remote Calls

Summary:	Universal addresses to RPC program number mapper
Summary(pl.UTF-8):	Demon odwzorowujący adresy uniwersalne na numery programów RPC
Name:		rpcbind
Version:	1.2.5
Release:	1
License:	BSD
Group:		Daemons
Source0:	http://downloads.sourceforge.net/rpcbind/%{name}-%{version}.tar.bz2
# Source0-md5:	ed46f09b9c0fa2d49015f6431bc5ea7b
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-libwrap.patch
Patch1:		%{name}-syslog.patch
Patch2:		%{name}-sunrpc.patch
Patch3:		%{name}-nss.h.patch
Patch6:		%{name}-tcp-addrs.patch
# http://nfsv4.bullopensource.org/doc/tirpc_rpcbind.php
URL:		http://sourceforge.net/projects/rpcbind/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtirpc-devel >= 1:1.0.1
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.623
Requires(post,preun):	/sbin/chkconfig
Requires:	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.1.6
Provides:	portmap = 8.0
Provides:	user(rpc)
Obsoletes:	portmap
Conflicts:	clusternfs < 3.0-0.rc2.3
Conflicts:	flixengine < 8.0.8.2-1
Conflicts:	nfs-utils < 1.1.0-0.rc2.1
Conflicts:	quota-rquotad < 1:3.14-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The rpcbind utility is a server that converts RPC program numbers into
universal addresses. It must be running on the host to be able to make
RPC calls on a server on that machine.

%description -l pl.UTF-8
Narzędzie rpcbind to serwer konwertujący numery programów RPC na
adresy uniwersalne. Musi działać na maszynie, aby można było wykonywać
wywołania RPC na serwerze na tej maszynie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch6 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--sbindir=/sbin \
	--bindir=%{_sbindir} \
	--enable-libwrap \
	%{?with_rmtcalls:--enable-rmtcalls} \
	--enable-warmstarts \
	--with-statedir=/var/lib/rpcbind \
	--with-rpcuser=rpc \
	--without-systemdsystemunitdir
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,%{_sbindir},/etc/{sysconfig,rc.d/init.d},/var/lib/rpcbind}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/rpcbind
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rpcbind

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 22 -d /usr/share/empty -s /bin/false -c "Portmapper RPC User" -g nobody rpc

%post
/sbin/chkconfig --add rpcbind
%service rpcbind restart

%postun
if [ "$1" = "0" ]; then
	%userremove rpc
fi

%preun
if [ "$1" = "0" ]; then
	%service -q rpcbind stop
	/sbin/chkconfig --del rpcbind
fi

%triggerpostun -- %{name} < 0.2.0-5
if [ -f /etc/sysconfig/rpcbind ]; then
	. /etc/sysconfig/rpcbind
	[ "$RPCBIND_VERBOSE" = "no" ] || RPCBIND_OPTIONS="-l"
	[ "$RPCBIND_INSECURE" = "yes" ] && RPCBIND_OPTIONS="$RPCBIND_OPTIONS -i"
	for a in $RPCBIND_ADDRESSES ; do
		RPCBIND_OPTIONS="$RPCBIND_OPTIONS -h $a"
	done
	[ -z "$RPCBIND_OPTIONS" ] && exit 0
	%{__cp} -f /etc/sysconfig/rpcbind /etc/sysconfig/rpcbind.rpmsave
	echo >>/etc/sysconfig/rpcbind
	echo "# Added by rpm trigger" >>/etc/sysconfig/rpcbind
	echo "RPCBIND_OPTIONS=\"$RPCBIND_OPTIONS\"" >> /etc/sysconfig/rpcbind
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(754,root,root) /etc/rc.d/init.d/rpcbind
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rpcbind
%attr(755,root,root) /sbin/rpcbind
%attr(755,root,root) %{_sbindir}/rpcinfo
%{_mandir}/man8/rpcbind.8*
%{_mandir}/man8/rpcinfo.8*
%dir %attr(700,rpc,root) %{_var}/lib/%{name}
%changelog
* Mon Aug 26 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/rpcbind.git;a=log;h=master

* Mon Aug 26 2019 Marcin Krol <hawk@tld-linux.org> a59d4b2
- merged 1.2.5 from PLD

* Fri Jan 19 2018 Marcin Krol <hawk@tld-linux.org> c4fb3f3
- PLD merge, updated to 0.2.4

* Thu Jul 30 2015 Marcin Krol <hawk@tld-linux.org> 8ce7cbf
- drop systemd stuff

* Thu Jul 30 2015 Marcin Krol <hawk@tld-linux.org> 121df4b
- from PLD

